Subject: Re: [PATCH] Allow the tag signing key to be specified in the config file

From: Simon 'corecode' Schubert <[email-masked]>
Date: Sat, 27 Jan 2007 17:44:38 +0100

Andy Parkins wrote:
>> is there a reason to use name + email as keyid and not just the email
>> address?  that would also mitigate the need to specify user.sigingkey
>> if only the names missmatch between gpg and git, but the email
>> addresses are the same.
> That was my original solution, but it was rejected.
> 
> http://www.gelato.unsw.edu.au/archives/git/0610/29733.html

oh well.  I don't think this was discussed properly.  The question for me is, what should be the default:  fail if there is no matching key which also matches the comment field, or choose the default (sub)key even when a different subkey matches (based on the comment field).  First of all, I think the default should be "try not to fail", so that is the second way.  Additionally, people can specify a different keyid if they want to sign with a different key.

Oh well, I don't really care about this.  I just say that I'd expect it not to fail...

cheers
  simon

-- 
Serve - BSD     +++  RENT this banner advert  +++    ASCII Ribbon   /"\
Work - Mac      +++  space for low €€€ NOW!1  +++      Campaign     \ /
Party Enjoy Relax   |   http://dragonflybsd.org      Against  HTML   \
Dude 2c 2 the max   !   http://golden-apple.biz       Mail + News   / \